const int ledPin = 7;
const int buttonPin = 2; // Change this to the GPIO number where the button is connected
const unsigned long interval = 1000;
unsigned long previousMillis = 0;
int flashCount = 0;
bool buttonPressed = false;

void setup() {
  pinMode(ledPin, OUTPUT);
  pinMode(buttonPin, INPUT_PULLUP); // Enable the internal pull-up resistor for the button
}

void loop() {
  unsigned long currentMillis = millis();

  if (digitalRead(buttonPin) == LOW) { // Check if the button is pressed
    buttonPressed = true;
  }

  if (buttonPressed && flashCount < 5) {
    if (currentMillis - previousMillis >= interval) {
      previousMillis = currentMillis;
      digitalWrite(ledPin, !digitalRead(ledPin));

      // Turn off the LED after it has been flashed an odd number of times
      if (digitalRead(ledPin) == LOW) {
        flashCount++;
      }
    }
  } else if (flashCount >= 5) {
    flashCount = 0;
    buttonPressed = false;
  }
}
